NSTextInternal::State Struct Reference

Internal: the state of a NSText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::vector< Font > | m_fontList
| the font list More...
std::vector< Footnote > | m_footnoteList
| the list of footnote More...
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter More...
int | m_numPages
int | m_actualPage
std::vector< HeaderFooter > | m_hfList
| the list of header footer More...
std::vector< int > | m_headersId
| the list of header id which corresponds to each page More...
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page More...

## Detailed Description

Internal: the state of a NSText.

## Constructor & Destructor Documentation

NSTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int NSTextInternal::State::m_actualPage

std::vector<Font> NSTextInternal::State::m_fontList

the font list

std::vector<int> NSTextInternal::State::m_footersId

the list of footer id which corresponds to each page

std::vector<Footnote> NSTextInternal::State::m_footnoteList

the list of footnote

std::vector<int> NSTextInternal::State::m_headersId

the list of header id which corresponds to each page

std::vector<HeaderFooter> NSTextInternal::State::m_hfList

the list of header footer

int NSTextInternal::State::m_numPages

int NSTextInternal::State::m_version

mutable

the file version

Zone NSTextInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NSText.cxx